Plataformas compatíveis com AEM Forms no JEE supported-platforms-for-aem-forms-on-jee

Plataformas compatíveis supported-platforms

recommendation-more-help

O Adobe lançou um instalador completo com AEM 6.5 Forms Service Pack 18 (6.5.18.0) no JEE, juntamente com os instaladores de patch. O instalador completo oferece suporte a novas plataformas, enquanto o instalador de patch inclui apenas correções de erros.
Se você estiver fazendo uma nova instalação ou planejando usar o software mais recente para o seu Forms AEM 6.5 no ambiente JEE, o Adobe recomenda usar Instalador completo do AEM 6.5.18.0 Forms no JEE lançado em 31 de agosto de 2023 em vez do instalador do Forms AEM 6.5 lançado em 08 de abril de 2019 ou do Forms Installer AEM 6.5.12 lançado em 03 de março de 2022.

Níveis de suporte support-levels

O AEM Forms no servidor JEE pode ser configurado usando qualquer combinação de sistemas operacionais, servidores de aplicativos, bancos de dados, drivers de banco de dados, JDK, servidores LDAP e servidores de email compatíveis.

Este documento lista as plataformas de cliente e servidor compatíveis com o AEM Forms no JEE. O Adobe fornece vários níveis de suporte, tanto para configurações Adobe recomendadas quanto para outras configurações. O documento também lista outros softwares compatíveis e suas versões, exceções, definições de patch e política de suporte a patches de software de terceiros.

NOTE
  • Para obter uma lista completa de exceções para plataformas de servidor compatíveis, consulte Exceções às plataformas de servidor compatíveis.
  • O AEM Forms no JEE é compatível apenas com as versões em inglês, francês, alemão e japonês dos sistemas operacionais e aplicativos compatíveis.

Política de atualização e suporte

Instalador completo

  • Suporte de atualização para instaladores completos: Um instalador completo é lançado a cada sexta versão do Service Pack do AEM. Por exemplo, havia um instalador completo lançado com as versões 6.5.12.0 e 6.5.18.0 do SP. O AEM Forms permite atualizações diretas exclusivamente dos dois últimos instaladores completos. Por exemplo, o AEM Forms facilita atualizações diretas para a versão 6.5.18.0 somente dos dois últimos instaladores completos, ou seja, as versões 6.5.12.0 e 6.5.6.0. Se precisar fazer upgrade de um upgrade anterior, você pode usar um upgrade multi-hop para primeiro acessar uma versão completa do instalador com suporte e, em seguida, a versão mais recente.

  • Substituição e remoção: o suporte à plataforma é atualizado com cada versão completa do instalador. Qualquer software marcado como obsoleto na matriz de plataforma durante uma versão completa do instalador tem direito a ser removido da matriz de plataforma suportada em uma versão subsequente do instalador completo, indicando o fim do suporte para o software.

Service Packs

  • Cobertura do Service Pack: o Adobe fornece suporte técnico para ambientes AEM Forms usando qualquer um dos seis service packs mais recentes. Se sua versão atual é anterior aos últimos seis service packs, a Adobe recomenda que você atualize para a versão mais recente a fim de obter desempenho ideal, segurança e suporte contínuo.

  • Diretrizes do instalador de patches: Ao usar os instaladores de patch para atualizar, é crucial verificar se a versão subjacente do instalador completo não tem mais de duas versões. Por exemplo, durante a instalação do service pack 6.5.19.0, verifique se a versão subjacente do instalador completo é 6.5.18.0 ou 6.5.12.0.

  • Suporte para atualização de patches: você pode continuar atualizando para o service pack mais recente até que também esteja atualizando para as plataformas compatíveis mais recentes. Por exemplo, é possível atualizar do service pack 6.5.12.0 para o 6.5.19.0, desde que você faça a transição para uma combinação de plataforma compatível com o 6.5.19.0.

Configurações recomendadas recommendedconfigurations

a Adobe recomenda essas configurações e fornece suporte total ou restrito como parte do contrato padrão de manutenção de software:

Nível de compatibilidade
Descrição
A: Suportado
O Adobe fornece suporte e manutenção completos para essa configuração. Essa configuração é coberta pelo processo de garantia de qualidade do Adobe.
R: Suporte restrito
O Adobe fornece suporte total para essa configuração após o cumprimento de determinados pré-requisitos. Entre em contato com o suporte corporativo da Adobe para saber mais sobre os pré-requisitos e fazer uma solicitação para obter suporte.
L: Suporte limitado
O Adobe fornece suporte e manutenção completos para essa configuração após o cumprimento de determinados pré-requisitos. Nem todos os recursos estão disponíveis na configuração. Entre em contato com o suporte corporativo da Adobe para saber mais sobre os pré-requisitos e fazer uma solicitação para obter suporte.

Configurações não suportadas unsupported-configurations

Nível de compatibilidade
Descrição
E: A expectativa é funcionar
Espera-se que a configuração funcione e não há relatórios em contrário.
Z: Não suportado
A configuração não é compatível. O Adobe não faz nenhuma declaração sobre se a configuração funciona e não oferece suporte a ela.
NOTE
Para ajudar os clientes da AEM Forms a reduzir o custo de propriedade, simplificar a arquitetura de implantação e modernizar a pilha de desenvolvimento, a plataforma corporativa da Adobe Experience Manager está se afastando das implantações baseadas em servidor de aplicativos em favor das implantações independentes baseadas em OSGi. O Adobe continua a oferecer suporte à pilha do AEM Forms JEE com uma matriz reduzida de componentes de infraestrutura.
Com o lançamento da versão 6.5, os componentes da infraestrutura com menor uso entre os clientes do Adobe não serão mais suportados, como demonstrado a seguir:
  • banco de dados IBM® DB2®
  • Sistemas operacionais IBM® AIX® e Sun Solaris™
Para novas instalações, quando viável, é recomendável implantar o AEM Forms na pilha OSGi moderna para usar as inovações mais recentes em torno do Adaptive Forms responsivo para comunicações móveis, comunicações interativas de vários canais e integrações de dados de back-end usando o Modelo de dados de formulário.
O Adobe reconhece que os usuários existentes devem continuar a implantar o AEM Forms na pilha do JEE. Nesses casos, o Adobe exige a implantação do AEM Forms JEE em uma infraestrutura compatível, conforme descrito nesta documentação. Se você estiver atualizando para o AEM 6.5 Forms e estiver usando uma plataforma não compatível na versão anterior do AEM Forms, entre em contato com o Suporte da Adobe para obter ajuda sobre como atualizar para uma plataforma compatível.

Máquinas virtuais Java™ (JVM) java-virtual-machines-jvm

O Adobe Experience Manager Forms requer uma máquina virtual Java™ para ser executada, que é fornecida pela distribuição Java™ Development Kit (JDK). O Adobe Experience Manager opera com as seguintes versões das Máquinas Virtuais Java™:

Platform
Nível de compatibilidade
Definições de patch compatíveis
Oracle Java™ SE 11 (64 bits) [8]
A: Suportado
Versões e atualizações secundárias
Azul Zulu OpenJDK 11 - 64 bits
Z: Não suportado
Azul Zulu OpenJDK 8 - 64 bits
Z: Não suportado
Oracle Java™ SE 8 (64 bits)
A: Suportado
Versões e atualizações secundárias
Máquina virtual IBM® J9 (build 2.9, JRE 1.8.0) IBM® JDK SR6-FP26
A: Suportado
Versões e atualizações secundárias
IBM® JAVA1.8.0_291(build 8.0.6.30)
A: Suportado
Versões e atualizações secundárias
NOTE
  • Rastreie os Boletins de segurança do fornecedor Java™ para garantir a segurança dos ambientes de produção e instalar as atualizações mais recentes do Java™.
  • O AEM Forms no JEE é compatível apenas com JVMs de 64 bits em ambientes de produção.

Bancos de dados e persistência CRX databases-and-crx-persistence

Platform
Descrição
Nível de compatibilidade
Sistema de arquivos
Microkernel do repositório (arquivos TAR MK)
Compatível
MongoDB Enterprise 5.0
Microkernel do repositório
Compatível
MongoDB Enterprise 6.0
Microkernel do repositório
Compatível
Oracle Database 19c (edições Standard, Real Application Clusters (RAC) e Enterprise)
Microkernal do repositório
Compatível
Microkernel do repositório
Compatível
Microsoft® SQL Server 2019
Microkernel do repositório
Compatível
IBM® DB2® 11.1 (obsoleto)
Microkernel do repositório
R: Suporte restrito
MySQL 8.0.27
-
R: Suporte restrito
  • O IBM® DB2® não é suportado para instalações novas. Ele é compatível somente com clientes existentes que estão atualizando para o AEM 6.5 Forms.
  • MongoDB é um software de terceiros e não está incluído no pacote de licenciamento AEM. Para obter mais informações, consulte Política de licenciamento do MongoDB.
  • Para aproveitar ao máximo a implantação do AEM, a Adobe recomenda licenciar a versão MongoDB Enterprise para se beneficiar de suporte profissional.
  • O Atendimento ao cliente do Adobe auxilia na qualificação de problemas relacionados ao uso do MongoDB com AEM. Para obter mais informações, consulte Página do MongoDB para Adobe Experience Manager.
  • 'Sistema de Arquivos' inclui armazenamento em bloco compatível com POSIX. Isso inclui a tecnologia de armazenamento em rede. Lembre-se de que o desempenho do sistema de arquivos pode variar e influencia o desempenho geral. É recomendável carregar o AEM de teste com o sistema de arquivos remoto/de rede.
  • Somente o WiredTiger do Mecanismo de Armazenamento MongoDB é compatível.
  • A fragmentação de MongoDB não é compatível com o AEM.
  • O AEM Forms no JEE não oferece suporte ao MySQL para persistência RDBMK.
  • O módulo de Segurança de documentos não usa o Repositório de conteúdo. Isso implica que, se você estiver usando somente a Segurança de documentos e não planeja usar formulários do HTML Workspace, do HTML5 ou formulários adaptáveis, não instale o Repositório de conteúdo.
  • O AEM Forms no JEE não é compatível com o uso do MySQL para o repositório AEM persistente (repositório CRX).

Drivers de banco de dados database-drivers

Banco de dados
Platform
Definições de patch compatíveis
MySQL

Conector MySQL/J 5.7

mysql-connector-java-5.1.44-bin.jar(versão 5.1.44)

Fornecido com o AEM Forms na instalação do JEE
Microsoft® SQL Server

Driver JDBC do Microsoft® SQL Server 8.2.2

sqljdbc8.jar

Download do site da Microsoft® na web.
Oracle

Driver JDBC do Oracle Database 19.3.0.0.0

ojdbc8.jar (versão 19.3.0.0.0)

Baixar de Site do Oracle.

Servidores de aplicativos application-servers

Platform
Nível de compatibilidade
Definições de patch compatíveis
Oracle WebLogic Server 12.2.1 (12c R2) (obsoleto) [9]
A: Suportado
Service pack e atualizações críticas
Oracle WebLogic Server 14c [9]
A: Suportado
Service pack e atualizações críticas
Servidor de aplicativos IBM® WebSphere® 9.0.0.10 [1] [4]
A: Suportado
Service pack e atualizações críticas
JBoss® Enterprise Application Platform (EAP) 7.4 [2] [3] [7]
A: Suportado
Patches e patches cumulativos para a versão de EAP compatível
NOTE
Os clusters do IBM® WebSphere® só são suportados nas edições de Implantação de rede.

Sistemas operacionais de servidor server-operating-systems

Ambientes de produção production-environments

Platform
Nível de suporte
Definições de patch compatíveis
Microsoft® Windows Server 2019 (64 bits) (obsoleto)
A: Suportado
Service packs e atualizações críticas
Microsoft® Windows Server 2022 (64 bits)
A: Suportado
Service packs e atualizações críticas
Ubuntu 20.04
A: Suportado
Service packs e atualizações críticas
Red Hat® Enterprise Linux® 8 (Kernel 4.x) (64 bits)
A: Suportado
Versões secundárias, atualizações cumulativas e atualizações críticas
Red Hat® Enterprise Linux® 7 (Kernel 3.x) (64 bits) (obsoleto)
A: Suportado
Versões secundárias, atualizações cumulativas e atualizações críticas
SUSE® Linux® Enterprise Server 12 (64 bits)
A: Suportado
Service packs, patches cumulativos e atualizações críticas de segurança
Oracle Linux® 7 Atualização 3 (64 bits)
A: Suportado
Service packs, patches cumulativos e atualizações críticas de segurança
CentOS 7 (64 bits) [6]
A: Suportado
Service packs, patches cumulativos e atualizações críticas de segurança

Ambiente virtualizado virtualized-environment

Você pode executar o AEM Forms no JEE em uma máquina física ou em um ambiente virtual. No entanto, se você encontrar algum problema com o AEM Forms em um ambiente virtual, tente replicar o problema em uma máquina física. Se o problema persistir na máquina física, entre em contato com o Suporte da Adobe para obter uma resolução. Para os problemas que não podem ser replicados em uma máquina física, entre em contato com o fornecedor do ambiente virtual.

Ambientes de desenvolvimento development-environments

Plataforma (Versão Base)
Nível de compatibilidade
Definições de patch compatíveis
Microsoft® Windows® 10 de 64 bits
E: A expectativa é funcionar
Service pack e atualizações críticas

Exceções às plataformas de servidor compatíveis exceptions-to-supported-server-platforms

Considere as exceções a seguir ao escolher uma plataforma para configurar o AEM Forms no servidor JEE.

  1. O AEM Forms no JEE não é compatível com o IBM® WebSphere® com MySQL.
  2. O AEM Forms no JEE não é compatível com o JBoss® no SUSE® Linux® Enterprise Server 12. Somente o IBM® WebSphere® é suportado no SUSE® Linux® Enterprise Server 12.
  3. O AEM Forms no JEE não suporta qualquer JDK com JBoss® além do Oracle Java™ SE.
  4. O AEM Forms no JEE não suporta qualquer JDK com IBM® WebSphere® diferente do IBM® JDK.
  5. O repositório CRX oferece suporte à persistência do tipo TarMK, MongoDB e bancos de dados relacionais (RDBMK). Você não pode ter dois sistemas de banco de dados diferentes entre o servidor de aplicativos e o repositório CRX. No entanto, em um ambiente AEM Forms no JEE, é possível usar o MongoMK com repositório CRX e um banco de dados relacional compatível com o servidor de aplicativos.
  6. O AEM Forms no JEE não é compatível com o servidor de aplicativos WebSphere® no CentOS.
  7. O AEM Forms no JEE não suporta o controle de acesso baseado em função (RBAC) JBoss®.
  8. O AEM Forms no JEE suporta o SDK Java™ SE 11 (64 bits) do Oracle para servidor de aplicativos somente JBoss® EAP 7.4.
  9. As versões do JDK posteriores à 1.8.0_281 não são compatíveis com o servidor WebLogic. (FORMS-8498)
  10. O JDK 11.0.20 não é compatível com a instalação do AEM Forms no instalador do JEE. Somente o JDK 11.0.19 ou versões anteriores são compatíveis com a instalação do AEM Forms no instalador do JEE.

Além disso, considere os seguintes pontos ao escolher o software para Adobe AEM Forms em implantações JEE:

  • Atualizações de suporte, patches e fix packs do AEM Forms no JEE sobre a versão principal e secundária especificada do software compatível. No entanto, não há suporte para a atualização para a próxima versão principal ou secundária, a menos que especificado.
  • Instalações baseadas em cluster não dão suporte à persistência TarMK. Para obter informações sobre persistência compatível, consulte Escolha de um tipo de persistência para uma instalação do AEM Forms.
  • O AEM Forms no JEE suporta vários softwares de terceiros conforme o Adobe Política de suporte a software de terceiros.
  • AEM Forms em plataformas de suporte JEE de acordo com o suporte fornecido por fornecedores terceirizados. Algumas combinações podem não ser permitidas por fornecedores de terceiros. Por exemplo, muitos fornecedores não certificaram seus servidores de aplicativos com o Oracle. Como resultado, o AEM Forms no JEE também não é compatível com essas combinações. Para garantir que você escolha as versões de software compatíveis, verifique também a matriz de suporte para outros fornecedores.
  • O AEM Forms no JEE não é compatível com TarMK Cold Standby.
  • O AEM Forms no JEE não é compatível com clustering vertical.
  • O AEM Forms no JEE não oferece suporte ao banco de dados MySQL em um ambiente clusterizado.
  • Para obter a lista de plataformas removidas ou atualizadas, consulte Resumo dos novos recursos do AEM 6.5 Forms documento.

Servidores LDAP (opcional) ldap-servers-optional

Produto (Versão Base)
Definições de patch compatíveis
Microsoft® Ative Diretory 2016 (obsoleto)
Versão de manutenção e fix packs
Diretório ativo Microsoft® 2022
Versão de manutenção e fix packs
Servidor de Diretórios IBM® Tivoli 6.4
Pacotes de recursos e correções provisórias

Servidores de e-mail (opcional) email-servers-optional

Produto
Microsoft® Exchange 2013
Microsoft® Office 365

Gerenciadores de conteúdo e conectores correspondentes content-managers-and-corresponding-connectors

Produto
Versão
EMC Documentum®
7,3
IBM® FileNet
5.5.2
IBM® Content Manager Server (obsoleto)
8.5 Fix pack 2
Cliente do gerenciador de conteúdo IBM® (obsoleto)
8,5
Microsoft® Sharepoint
2019

Suporte para Cordova support-for-cordova

O aplicativo AEM Forms agora é compatível com o Apache Cordova. A seguir estão as versões específicas da plataforma do Cordova que são compatíveis:

  • Apache Cordova 6.4.0
  • Cordova iOS 4.3.0
  • Cordova Android™ 6.0.0
  • Cordova Windows 4.4.3

Suporte de software para PDF Generator software-support-for-pdf-generator

Produto
Formatos suportados para conversão em PDF
Faixa clássica do Acrobat 2020 versão mais recente
XPS, formatos de imagem (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF e DWF
Microsoft® Office 2019
DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF e TXT
WordPerfect 2020
WP, WPD
Microsoft® Publisher 2019
PUB
OpenOffice 4.1.10
ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX, formatos de imagem (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, RTF e TXT
NOTE
O PDF Generator suporta apenas versões em inglês, francês, alemão e japonês dos sistemas operacionais e aplicativos suportados.
Além disso:
  • O PDF Generator suporta apenas a versão comercial de 32 bits do Microsoft® Office Professional Plus e outros softwares necessários para a conversão.
  • PDF Generator não suporta Microsoft® Office 365.
  • As conversões de PDF Generator para OpenOffice são suportadas apenas no Windows e no Linux®.
  • Os recursos PDF, Optimize PDF e Export PDF de OCR são suportados apenas no Windows.
  • Uma versão do Acrobat é fornecida com o AEM Forms para ativar a funcionalidade PDF Generator. A versão agrupada só deve ser acessada programaticamente com o AEM Forms, durante o prazo da licença do AEM Forms, para uso com o AEM Forms PDF Generator. Para obter mais informações, consulte a Descrição do produto AEM Forms de acordo com a implantação (No local ou Managed Services)"
  • O serviço PDF Generator não suporta Microsoft® Windows 10.
  • Falha do PDF Generator ao converter arquivos usando o Microsoft® Visio 2019.
  • Falha do PDF Generator ao converter arquivos usando o Microsoft® Project 2019.
  • Se uma instalação do Microsoft® Office for desativada ou não for licenciada por qualquer motivo, como uma instalação com licença de volume que não consegue localizar um host KMS em um período especificado, as conversões podem falhar até que a instalação seja relicenciada e reativada.

Exceções ao suporte de acessibilidade exceptions-to-accessibility-support

Os seguintes subsistemas do AEM Forms não são 508 compatível:

  • Interface de criação adaptável do Forms
  • Interface de criação do Forms Manager
  • Interface de criação do gerenciamento de correspondência
  • Interface do usuário do administrador (Interface do usuário do Console de administração)

Requisitos do sistema para AEM Forms no JEE system-requirements-for-aem-forms-on-jee

Requisitos mínimos de hardware minimum-hardware-requirements

Platform
Requisito mínimo de hardware
Microsoft® Windows Server
Processador Intel Xeon® E5-2680 de 2,4 GHz ou equivalente
VMWare ESX 5.1 ou posterior
RAM: 6 GB (SO de 64 bits com JVM de 64 bits)
Espaço livre em disco: 15 GB de espaço temporário mais 22 GB
para AEM Forms no JEE
SUSE® Linux® Enterprise Server
Processador Intel Xeon® E5-2670v2, 1 vCPU, 2,5 GHz
AWS m3.medium (3 ECUs)
RAM: 6 GB (SO de 64 bits com JVM de 64 bits)
Espaço livre em disco: 6 GB de espaço temporário mais 22 GB
para AEM Forms no JEE
Red Hat® Enterprise Linux®
Processador Intel Xeon® E5-2670v2, 1 vCPU, 2,5 GHz
AWS m3.medium (3 ECUs)
RAM: 6 GB (SO de 64 bits com JVM de 64 bits)
Espaço livre em disco: 6 GB de espaço temporário mais 22 GB
para AEM Forms no JEE
Requisitos de hardware para um ambiente de produção pequeno
  • Ambiente equipado com a Intel®: Intel Xeon® E5-2680, 2,4 GHz ou superior. O uso de um processador dual core melhora ainda mais o desempenho
  • Memória: 4 GB

Para requisitos adicionais, consulte:

ADOBE ACROBAT e ADOBE READER adobe-acrobat-and-adobe-reader

Acrobat e Adobe Reader (Base)
Definições de patch compatíveis
Acrobat 2020 (faixa clássica)
Versão 20.004.30006 ou posterior
NOTE
A família de produtos Acrobat DC apresenta duas faixas para Acrobat e Reader, que são produtos diferentes: "Classic" e "Continuous". Para obter detalhes e uma comparação das duas faixas, consulte https://www.adobe.com/devnet-docs/acrobatetk/tools/AdminGuide/whatsnewdc.html.

Clientes compatíveis com o AEM Forms no JEE supported-clients-for-aem-forms-on-jee

Workbench workbench

Platform
Definições de patch compatíveis

Microsoft® Windows® 10 (Enterprise, Pro, Basic)

Versão de 32 bits ou 64 bits

Service packs e atualizações críticas
Microsoft® Windows® 2019 Server (obsoleto)
Service packs e atualizações críticas
Servidor Microsoft® Windows® 2022
Service packs e atualizações críticas
  • Espaço em disco para instalação: 1,7 GB apenas para o Workbench, 2,7 GB em uma única unidade para uma instalação completa do Workbench, Designer e a montagem de amostras 400 MB para diretórios de instalação temporários - 200 MB no diretório temporário do usuário e 200 MB no diretório temporário do Windows. Se todos esses locais residirem em uma única unidade, deverá haver 1,5 GB de espaço disponível durante a instalação. Os arquivos copiados para os diretórios temporários são excluídos quando a instalação é concluída.

  • Memória para executar o Workbench: 2 GB de RAM

  • Requisito de hardware: processador de 1 GHz Intel® Pentium® 4 ou AMD® equivalente

  • Resolução mínima do monitor de 1024 X 768 pixels ou superior com cor de 16 bits ou superior

  • Conexão de rede TCP/IPv4 ou TCP/IPv6 com o AEM Forms no servidor JEE

  • Você deve ter privilégios Administrativos para instalar o Workbench no Windows. Se você estiver instalando usando uma conta de não administrador, o instalador solicitará as credenciais de uma conta apropriada.

Designer designer

  • Microsoft® Windows® 2016 Server, Microsoft® Windows® 2019 Server, Microsoft® Windows® 10 ou Windows® 11
  • 1 GHz ou mais rápido com suporte para PAE, NX e SSE2.
  • 1 GB de RAM para 32 bits ou 2 GB de RAM para SO de 64 bits
  • 16 GB de espaço em disco para 32 ou 20 GB de espaço em disco para SO de 64 bits
  • Memória gráfica - 128 MB de GPU (recomenda-se 256 MB)
  • 2,35 GB de espaço disponível em disco rígido
  • Resolução do monitor de 1024 X 768 pixels ou superior
  • Aceleração de hardware de vídeo (opcional)
  • Acrobat Pro DC, Acrobat Standard DC ou Adobe Acrobat Reader DC
  • Privilégios administrativos para instalar o Designer
  • Microsoft® Visual C++ 2019 (VC 14.28 ou superior) tempo de execução de 32 bits

Áreas de trabalho desktops

Navegador (Base)
Nível de suporte
Definições de patch compatíveis
Microsoft® Edge (Evergreen)
A: Suportado
Service packs e atualizações
Mozilla Firefox (Evergreen)
A: Suportado
Todas as atualizações
Mozilla Firefox ESR
E: A expectativa é funcionar
Todas as atualizações
Google Chrome (Evergreen)
A: Suportado
Todas as atualizações
Apple Safari no macOS
A: Suportado
Todas as atualizações
NOTE
Algumas exceções relacionadas ao navegador para desktops são as seguintes:
  • O Safari é compatível somente com Macintosh OS X.
  • O Espaço de trabalho é compatível com o Safari 5.1 no Macintosh OS X 10.6 e 10.7 com Acrobat DC ou versões posteriores. Para obter mais informações sobre a compatibilidade do Safari 5.1 com o Adobe Reader, Acrobat, consulte https://helpx.adobe.com/br/x-productkb/multi/safari-5-1-incompatible-reader.html.
  • O Console de administração não é compatível com o Safari.
  • O Gerenciamento de correspondência não é compatível com o Windows® Internet Explorer 9.0 para formulários AEM 6.1.
  • O Forms Portal oferece suporte ao software de leitor de tela JAWS 14.0 no Internet Explorer 11 para acessibilidade.

Clientes móveis mobile-clients

Navegador (Base)
Definições de patch compatíveis
Chrome no Android™ 4.1.2 e posterior
Todas as atualizações
Safari no iOS 15.1 e posterior
Todas as atualizações
Microsoft® Edge
Todas as atualizações
Navegador Android™ nativo no Android™ 4.4 e posterior
Todas as atualizações
NOTE
  • O Forms Portal é compatível com o Safari somente no iPad.

aplicativo AEM Forms aem-forms-workspace-app

Suporte a dispositivo móvel mobile-device-support

O aplicativo AEM Forms está disponível nas seguintes plataformas:

Platform
Dispositivos compatíveis
Apple iOS
Apple iPhone, iPad, iPad Air e iPad mini executando o iOS 15.1 e superior.
Google Android™
Android™ 5.1 e superior. O aplicativo AEM Forms é certificado em tablets Samsung Galaxy de 7 e 10 polegadas e smartphones populares.
Microsoft® Windows
Dispositivos Microsoft® Surface, tablets, laptops e desktops com o sistema operacional Microsoft® Windows 10.

Extensão de segurança de documentos Adobe para o Microsoft® Office adobe-rights-management-extension-for-microsoft-office

Clique em aqui para ver os requisitos de sistema do Adobe Document Security Extension for Microsoft® Office.

Exceções ao suporte ao cliente exceptions-to-client-support

Atualizações de suporte, patches e fix packs do AEM Forms no JEE sobre a versão principal e secundária especificada do software compatível. No entanto, não há suporte para a atualização para a próxima versão principal ou secundária, a menos que especificado.

Política de suporte a patches de terceiros third-party-patch-support-policy

Os requisitos de software de terceiros para o AEM Forms no JEE estão documentados na seção "Requisitos do sistema" dos respectivos documentos do produto. Acesse toda a documentação de https://adobe.com/go/learn_aemforms_documentation_65_br .

A AEM Forms nas plataformas de referência de terceiros do JEE especifica o nível de patch específico da infraestrutura de terceiros que estava em vigor durante o desenvolvimento e o lançamento do AEM Forms no JEE e a partir do nível mínimo de patch/service pack da infraestrutura compatível com essa versão do AEM Forms no JEE.

O Adobe oferece suporte a patches urgentes ou recomendados emitidos por fornecedores terceirizados após o lançamento, supondo que esses fornecedores garantam compatibilidade com versões anteriores compatíveis com o AEM Forms no JEE. O Adobe só oferecerá suporte a patches lançados após o nível mínimo de patch declarado na documentação do AEM Forms no JEE.

Às vezes, o Adobe não é compatível com atualizações de terceiros que alteram a funcionalidade principal e, portanto, não é compatível com versões anteriores completas. Para obter detalhes sobre as atualizações compatíveis, consulte Definições de patch compatíveis para produtos de fornecedores específicos e os tipos de patch compatíveis com o Adobe.

Em circunstâncias além do controle do Adobe, patches de terceiros que alegam compatibilidade com versões anteriores podem ter impacto negativo nos produtos Adobe ou ambientes do cliente. Nesses casos, a Adobe recomenda que os clientes avaliem o impacto de qualquer patch urgente de terceiros antes de aplicá-los a sistemas críticos. O Adobe trabalha com terceiros usando esforços comerciais razoáveis para resolver esses problemas, seja por meio de programas normais de suporte ao Adobe ou por terceiros que corrijam o problema em seu patch. Isso não garante que um patch de terceiros recém-lançado compatível com o Adobe funcione conforme documentado pelo fornecedor ou com o AEM Forms no JEE.

O Adobe se reserva o direito de alterar as plataformas de referência de terceiros compatíveis com uma versão do AEM Forms no JEE e suas definições de patch compatíveis em um determinado ponto.

Informações adicionais sobre patches de terceiros também podem ser encontradas no site de suporte do Adobe Enterprise para obter artigos da base de conhecimento relacionados ao seu produto.

Histórico de revisão revision-history

Versão 6.5.19.1 (15 de dezembro de 2023)

Suporte adicionado
Suporte removido
Suporte obsoleto
MongoDB Enterprise 6.0
MongoDB Enterprise 4.4
MongoDB Enterprise 5.0

Versão 6.5.18.0 (31 de agosto de 2023)

Suporte adicionado
Suporte removido
Suporte obsoleto
MongoDB Enterprise 4.4
Windows Server 2016 (64 bits)
Microsoft® Windows Server 2019 (64 bits)
Oracle WebLogic Server 14c
MongoDB Enterprise 4.0
Diretório ativo Microsoft® 2016
My SQL JDBC connector 8
Oracle Database 12c Versão 2 (12.2.0.1.0)
Ative Diretory 2022
MySQL 5.7.35
Microsoft® Windows Server 2022 (64 bits)
Microsoft® SQL Server 2016
JBoss® EAP 7.1.4
Conector My SQL JDBC 5.1.44
Driver JDBC do Microsoft® SQL Server 6.2.1.0
Driver JDBC do Microsoft® SQL Server 6.2.2.0
Driver Microsoft® JDBC 8.x para SQL Server
Suporte removido (PDF Generator e Em geral):
Microsoft® Sharepoint 2016
Microsoft® Office 2016
Microsoft® Office Visio 2016
Microsoft® Publisher 2016
Projeto Microsoft® 2016
OpenOffice 4.1.2
Acrobat 2017 (faixa clássica) versão 17.011.30078 ou posterior

Versão 6.5.13.0 (2 de junho de 2022)

Suporte adicionado
Suporte removido
Suporte obsoleto
Microsoft® SharePoint 2016

Versão 6.5.12.0 (3 de março de 2022)

Suporte adicionado
Suporte removido
Suporte obsoleto
Máquina virtual IBM® J9 (build 2.8, JRE 1.8.0)
MongoDB Enterprise 4.0
Oracle Database 12c Versão 1
MongoDB Enterprise 4.2
Oracle Database 18c
IBM® DB2® 11.1
Oracle Unified Diretory (OUD) 11g versão 2
Oracle Database 12c Versão 2
IBM® Lotus Domino 9.0
MySQL 5.7.35
IBM® FileNet 5.2
Driver JDBC do Microsoft® SQL Server 6.2.1.0
Flash Player Adobe
JBoss® Enterprise Application Platform (EAP) 7.1.4
IBM® Content Manager Server 8.5 - Pacote de correções 2
Cliente do gerenciador de conteúdo IBM® 8.5
Microsoft® SQL Server 2016
Microsoft® Windows Server 2016

Versão 6.5.10.0 (1 de setembro de 2022)

Suporte adicionado
Suporte removido
Suporte obsoleto
SDK do Java™ SE 11 (64 bits) do oracle para o servidor de aplicativos JBoss® EAP 7.4.
O Adobe Acrobat 2017 - Suporte principal para Adobe Acrobat 2017 termina em 6 de junho de 2022.
Red Hat® Enterprise Linux® 7 (Kernel 3.x) (64 bits)
Microsoft® Windows Server 2016 (64 bits)
Microsoft® Office 2016
OpenOffice 4.1.2
NOTE
As plataformas obsoletas continuarão a receber suporte até a próxima versão completa do instalador ou até que o suporte de fornecedores terceirizados para a plataforma chegue ao fim da vida útil, o que ocorrer primeiro.
19ffd973-7af2-44d0-84b5-d547b0dffee2